#!/bin/sh

grep -q "^do_local_update.*true" /etc/xdg/webkiosk/preferences
[ $? -ne 0 ] && exit 1

[ -z "$1" ] && exit 1
USERUID=linutop
[ -n "$2" ] && USERUID="$2"

MPOINT=$(mktemp -d)
mount $1 $MPOINT || exit 1

if [ ! -r $MPOINT/linutop-update.zip ]; then
    umount $1
    exit 1
fi

sh /usr/lib/linutop-webkiosk/playlist-import.sh $MPOINT/linutop-update.zip

umount $1
rmdir $MPOINT

USERNAME=$(getent passwd $USERUID | cut -d: -f1)
killall -u $USERNAME linutop-webkiosk
su - $USERNAME -c 'linutop-webkiosk &'

exit 0

