/**
 * Copyright (C) 2012 Linutop SAS <http://www.linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LTOP_HEADING_H__
#define __LTOP_HEADING_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

typedef struct _LtopHeadingPrivate LtopHeadingPrivate;
typedef struct _LtopHeadingClass   LtopHeadingClass;
typedef struct _LtopHeading        LtopHeading;

#define LTOP_TYPE_HEADING             (ltop_heading_get_type ())
#define LTOP_HEADING(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), LTOP_TYPE_HEADING, LtopHeading))
#define LTOP_HEADING_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), LTOP_TYPE_HEADING, LtopHeadingClass))
#define LTOP_IS_HEADING(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), LTOP_TYPE_HEADING))
#define LTOP_IS_HEADING_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), LTOP_TYPE_HEADING))
#define LTOP_HEADING_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), LTOP_TYPE_HEADING, LtopHeadingClass))

struct _LtopHeadingClass
{
    GtkEventBoxClass __parent__;
};

struct _LtopHeading
{
    GtkEventBox  __parent__;

    /*< private >*/
    LtopHeadingPrivate *priv;
};

GType      ltop_heading_get_type (void) G_GNUC_CONST G_GNUC_INTERNAL;

GtkWidget *ltop_heading_new      (void) G_GNUC_MALLOC G_GNUC_INTERNAL;

void ltop_heading_set_icon (LtopHeading *heading, GdkPixbuf *icon);
void ltop_heading_set_icon_name (LtopHeading *heading, const gchar *icon_name);
void ltop_heading_set_title (LtopHeading *heading, const gchar *title);
void ltop_heading_set_subtitle (LtopHeading *heading, const gchar *subtitle);

G_END_DECLS

#endif /* __LTOP_HEADING_H__ */
